Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Archived » M2M (model-to-model transformation) » [ATL] Libraries and Prequesites to launch ATL transformations programaticallly from Java
[ATL] Libraries and Prequesites to launch ATL transformations programaticallly from Java [message #38520] Wed, 16 May 2007 08:37 Go to next message
Eclipse UserFriend
Originally posted by: erik_becker.gmx.de

Hi all,

I already found some information and examples in the 'How Tos' on
launching ATL from Java code.

Unfortunately I don't understand how to do this - in concrete where to
get the libraries / binaries to use to in Java.
The seems ridiculous and I'm sorry but I don't understand it by now and
need help. In german I would say "Ich stehe wohl gerade auf dem Schlauch".

I installed the ATL Bundle in Version 1.0.7

Greetings

Erik
Re: [ATL] Libraries and Prequesites to launch ATL transformations programaticallly from Java [message #38553 is a reply to message #38520] Wed, 16 May 2007 11:05 Go to previous messageGo to next message
Eclipse UserFriend
Originally posted by: milan.milanovic.org

Dear Mr. Becker,

> Unfortunately I don't understand how to do this - in concrete where to
> get the libraries / binaries to use to in Java.
> The seems ridiculous and I'm sorry but I don't understand it by now and
> need help. In german I would say "Ich stehe wohl gerade auf dem Schlauch".

If you have installed complete ATL bundle in Eclipse, then you will need
following libraries (copy them from eclipse/plugins folder to folder where
you want to store libs):

ATL-importer.jar, ebnfextractor.jar, ebnfinjector.jar, emf4atl.jar,
jmi.jar, jmiutils.jar, km3.jar, KM3-importer.jar, mdr4atl.jar, mdrapi.jar,
mof.jar, nbmdr.jar, openide-util.jar, org.atl.eclipse.engine.jar,
org.eclipse.core.runtime.compatibility_3.1.100.v20060603.jar ,
org.eclipse.core.runtime_3.1.2.jar, org.eclipse.emf.common_2.1.0.jar,
org.eclipse.emf.ecore.xmi_2.1.0.jar, org.eclipse.emf.ecore_2.1.0.jar,
vm.jar, org.eclipse.core.resources_3.1.2.jar, antlr.jar, TCS-importer.jar.

With these libs you have complete support for MDR, EMF and also TCS. You
just have to add they to your classpath. Of course, as you can see from
name of some
files, this is in case of Eclipse 3.1.2 and emf 2.1.0. If you have other
versions, just copy the same files with those versions.

--
Best regards, Milan Milanovic


Erik Becker wrote:

> Hi all,

> I already found some information and examples in the 'How Tos' on
> launching ATL from Java code.

> Unfortunately I don't understand how to do this - in concrete where to
> get the libraries / binaries to use to in Java.
> The seems ridiculous and I'm sorry but I don't understand it by now and
> need help. In german I would say "Ich stehe wohl gerade auf dem Schlauch".

> I installed the ATL Bundle in Version 1.0.7

> Greetings

> Erik
Re: [ATL] Libraries and Prequesites to launch ATL transformations programaticallly from Java [message #38650 is a reply to message #38553] Wed, 16 May 2007 17:12 Go to previous messageGo to next message
Frédéric Jouault is currently offline Frédéric JouaultFriend
Messages: 572
Registered: July 2009
Senior Member
Hi Milan,

Thank you very much for your answer, and especially for compiling the
list of required libraries.

This information would be a very nice contribution to the Howto entry:
http://wiki.eclipse.org/index.php/ATL_Howtos#How_do_I_launch _transformations_programmatically.3F

I already added a link to your post, but I would appreciate it if you
also added (mostly copy-and-paste from your post) this to the wiki.

Thanks.


Best regards,

Frédéric Jouault


Milan Milanovic wrote:
> Dear Mr. Becker,
>
>> Unfortunately I don't understand how to do this - in concrete where to
>> get the libraries / binaries to use to in Java.
>> The seems ridiculous and I'm sorry but I don't understand it by now
>> and need help. In german I would say "Ich stehe wohl gerade auf dem
>> Schlauch".
>
> If you have installed complete ATL bundle in Eclipse, then you will need
> following libraries (copy them from eclipse/plugins folder to folder
> where you want to store libs):
>
> ATL-importer.jar, ebnfextractor.jar, ebnfinjector.jar, emf4atl.jar,
> jmi.jar, jmiutils.jar, km3.jar, KM3-importer.jar, mdr4atl.jar,
> mdrapi.jar, mof.jar, nbmdr.jar, openide-util.jar,
> org.atl.eclipse.engine.jar,
> org.eclipse.core.runtime.compatibility_3.1.100.v20060603.jar ,
> org.eclipse.core.runtime_3.1.2.jar, org.eclipse.emf.common_2.1.0.jar,
> org.eclipse.emf.ecore.xmi_2.1.0.jar, org.eclipse.emf.ecore_2.1.0.jar,
> vm.jar, org.eclipse.core.resources_3.1.2.jar, antlr.jar, TCS-importer.jar.
>
> With these libs you have complete support for MDR, EMF and also TCS. You
> just have to add they to your classpath. Of course, as you can see from
> name of some
> files, this is in case of Eclipse 3.1.2 and emf 2.1.0. If you have other
> versions, just copy the same files with those versions.
>
Re: [ATL] Libraries and Prequesites to launch ATL transformations programaticallly from Java [message #38704 is a reply to message #38650] Wed, 16 May 2007 17:50 Go to previous messageGo to next message
Eclipse UserFriend
Originally posted by: milan.milanovic.org

Hi Frédéric,

> I already added a link to your post, but I would appreciate it if you
> also added (mostly copy-and-paste from your post) this to the wiki.

I've just added a new section, called 'Libraries and Prequesites'. Please,
check it and update if there is some mistake.

For adding those libs to the classpath, one should add new enviroment
variable, e.g.:

ATLLIBROOT=c:\java\atl\lib <- if libs are located in this folder

and then just copy-paste following text to the CLASSPATH environment
variable:

CLASSPATH=%CLASSPATH%;c:\temp;%ATLLIBROOT%\ATL-importer.jar; %ATLLIBROOT%\ebnfextractor.jar;%ATLLIBROOT%\ebnfinjector.jar ;%ATLLIBROOT%\emf4atl.jar;%ATLLIBROOT%\jmi.jar;%ATLLIBROOT%\ jmiutils.jar;%ATLLIBROOT%\km3.jar;%ATLLIBROOT%\KM3-importer. jar;%ATLLIBROOT%\mdr4atl.jar;%ATLLIBROOT%\mdrapi.jar;%ATLLIB ROOT%\mof.jar;%ATLLIBROOT%\nbmdr.jar;%ATLLIBROOT%\openide-ut il.jar;%ATLLIBROOT%\org.atl.eclipse.engine.jar;%ATLLIBROOT%\ org.eclipse.core.runtime.compatibility_3.1.100.v20060603.jar ;%ATLLIBROOT%\org.eclipse.core.runtime_3.1.2.jar;%ATLLIBROOT %\org.eclipse.emf.common_2.1.0.jar;%ATLLIBROOT%\org.eclipse. emf.ecore.xmi_2.1.0.jar;%ATLLIBROOT%\org.eclipse.emf.ecore_2 .1.0.jar;%ATLLIBROOT%\vm.jar;%ATLLIBROOT%\org.eclipse.core.r esources_3.1.2.jar;%ATLLIBROOT%\antlr.jar;%ATLLIBROOT%\TCS-i mporter.jar;

Or, copy these jar file into the jre\lib\ext folder where no classpath
change will be needed.

--
Best regards, Milan Milanovic


Frédéric Jouault wrote:

> Hi Milan,

> Thank you very much for your answer, and especially for compiling the
> list of required libraries.

> This information would be a very nice contribution to the Howto entry:
>
http://wiki.eclipse.org/index.php/ATL_Howtos#How_do_I_launch _transformations_programmatically.3F

> I already added a link to your post, but I would appreciate it if you
> also added (mostly copy-and-paste from your post) this to the wiki.

> Thanks.


> Best regards,

> Frédéric Jouault


> Milan Milanovic wrote:
>> Dear Mr. Becker,
>>
>>> Unfortunately I don't understand how to do this - in concrete where to
>>> get the libraries / binaries to use to in Java.
>>> The seems ridiculous and I'm sorry but I don't understand it by now
>>> and need help. In german I would say "Ich stehe wohl gerade auf dem
>>> Schlauch".
>>
>> If you have installed complete ATL bundle in Eclipse, then you will need
>> following libraries (copy them from eclipse/plugins folder to folder
>> where you want to store libs):
>>
>> ATL-importer.jar, ebnfextractor.jar, ebnfinjector.jar, emf4atl.jar,
>> jmi.jar, jmiutils.jar, km3.jar, KM3-importer.jar, mdr4atl.jar,
>> mdrapi.jar, mof.jar, nbmdr.jar, openide-util.jar,
>> org.atl.eclipse.engine.jar,
>> org.eclipse.core.runtime.compatibility_3.1.100.v20060603.jar ,
>> org.eclipse.core.runtime_3.1.2.jar, org.eclipse.emf.common_2.1.0.jar,
>> org.eclipse.emf.ecore.xmi_2.1.0.jar, org.eclipse.emf.ecore_2.1.0.jar,
>> vm.jar, org.eclipse.core.resources_3.1.2.jar, antlr.jar, TCS-importer.jar.
>>
>> With these libs you have complete support for MDR, EMF and also TCS. You
>> just have to add they to your classpath. Of course, as you can see from
>> name of some
>> files, this is in case of Eclipse 3.1.2 and emf 2.1.0. If you have other
>> versions, just copy the same files with those versions.
>>
Re: [ATL] Libraries and Prequesites to launch ATL transformations programaticallly from Java [message #38737 is a reply to message #38704] Wed, 16 May 2007 20:32 Go to previous messageGo to next message
Frédéric Jouault is currently offline Frédéric JouaultFriend
Messages: 572
Registered: July 2009
Senior Member
Hi Milan,

>> I already added a link to your post, but I would appreciate it if you
>> also added (mostly copy-and-paste from your post) this to the wiki.
>
> I've just added a new section, called 'Libraries and Prequesites'.
> Please, check it and update if there is some mistake.

Thanks. It looks nice (except the "to to" at the beginning ;-)).

> For adding those libs to the classpath, one should add new enviroment
> variable, e.g.:
>
> ATLLIBROOT=c:\java\atl\lib <- if libs are located in this folder
>
> and then just copy-paste following text to the CLASSPATH environment
> variable:
>
>
CLASSPATH=%CLASSPATH%;c:\temp;%ATLLIBROOT%\ATL-importer.jar; %ATLLIBROOT%\ebnfextractor.jar;%ATLLIBROOT%\ebnfinjector.jar ;%ATLLIBROOT%\emf4atl.jar;%ATLLIBROOT%\jmi.jar;%ATLLIBROOT%\ jmiutils.jar;%ATLLIBROOT%\km3.jar;%ATLLIBROOT%\KM3-importer. jar;%ATLLIBROOT%\mdr4atl.jar;%ATLLIBROOT%\mdrapi.jar;%ATLLIB ROOT%\mof.jar;%ATLLIBROOT%\nbmdr.jar;%ATLLIBROOT%\openide-ut il.jar;%ATLLIBROOT%\org.atl.eclipse.engine.jar;%ATLLIBROOT%\ org.eclipse.core.runtime.compatibility_3.1.100.v20060603.jar ;%ATLLIBROOT%\org.eclipse.core.runtime_3.1.2.jar;%ATLLIBROOT %\org.eclipse.emf.common_2.1.0.jar;%ATLLIBROOT%\org.eclipse. emf.ecore.xmi_2.1.0.jar;%ATLLIBROOT%\org.eclipse.emf.ecore_2 .1.0.jar;%ATLLIBROOT%\vm.jar;%ATLLIBROOT%\org.eclipse.core.r esources_3.1.2.jar;%ATLLIBROOT%\antlr.jar;%ATLLIBROOT%\TCS-i mporter.jar;

>
>
> Or, copy these jar file into the jre\lib\ext folder where no classpath
> change will be needed.

Please, add this to the wiki as well. I am sure it will be helpful ;-).


Thanks,

Frédéric Jouault
Re: [ATL] Libraries and Prequesites to launch ATL transformations programaticallly from Java [message #38770 is a reply to message #38737] Thu, 17 May 2007 11:36 Go to previous message
Eclipse UserFriend
Originally posted by: milan.milanovic.org

Hi Frédéric,

I'll add link to complete bundle which I've prepared for integrating
ATL in Java applications (with libs, template class and installation
instructions).

--
Best regards, Milan Milanovic

Frédéric Jouault wrote:

> Hi Milan,

> >> I already added a link to your post, but I would appreciate it if you
> >> also added (mostly copy-and-paste from your post) this to the wiki.
> >
> > I've just added a new section, called 'Libraries and Prequesites'.
> > Please, check it and update if there is some mistake.

> Thanks. It looks nice (except the "to to" at the beginning ;-)).

> > For adding those libs to the classpath, one should add new enviroment
> > variable, e.g.:
> >
> > ATLLIBROOT=c:javaatllib <- if libs are located in this folder
> >
> > and then just copy-paste following text to the CLASSPATH environment
> > variable:
> >
> >
>
CLASSPATH=%CLASSPATH%;c:temp;%ATLLIBROOT%ATL-importer.jar;%A TLLIBROOT%ebnfextractor.jar;%ATLLIBROOT%ebnfinjector.jar;%AT LLIBROOT%emf4atl.jar;%ATLLIBROOT%jmi.jar;%ATLLIBROOT%jmiutil s.jar;%ATLLIBROOT%km3.jar;%ATLLIBROOT%KM3-importer.jar;%ATLL IBROOT%mdr4atl.jar;%ATLLIBROOT%mdrapi.jar;%ATLLIBROOT%mof.ja r;%ATLLIBROOT%nbmdr.jar;%ATLLIBROOT%openide-util.jar;%ATLLIB ROOT%org.atl.eclipse.engine.jar;%ATLLIBROOT%org.eclipse.core .runtime.compatibility_3.1.100.v20060603.jar;%ATLLIBROOT%org .eclipse.core.runtime_3.1.2.jar;%ATLLIBROOT%org.eclipse.emf. common_2.1.0.jar;%ATLLIBROOT%org.eclipse.emf.ecore.xmi_2.1.0 .jar;%ATLLIBROOT%org.eclipse.emf.ecore_2.1.0.jar;%ATLLIBROOT %vm.jar;%ATLLIBROOT%org.eclipse.core.resources_3.1.2.jar;%AT LLIBROOT%antlr.jar;%ATLLIBROOT%TCS-importer.jar;

> >
> >
> > Or, copy these jar file into the jrelibext folder where no classpath
> > change will be needed.

> Please, add this to the wiki as well. I am sure it will be helpful ;-).


> Thanks,

> Frédéric Jouault
Previous Topic:Composite Class
Next Topic:[ATL] Complete ATL bundle for running ATL transformations programatically !
Goto Forum:
  


Current Time: Mon Jan 25 15:23:23 GMT 2021

Powered by FUDForum. Page generated in 0.01839 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top